commit 87aed9b4c711354913d64a4233a0fc5a4f610ad3
Author: Christian Persch <chpe@gnome.org>
Date:   Mon Apr 16 19:08:32 2012 +0200

    Version 3.4.1

 NEWS |    4 ++++
 1 files changed, 4 insertions(+), 0 deletions(-)

commit 4b7f3191896d86d77d68d2b54ccf8927168cbb01
Author: Yinghua Wang <wantinghard@gmail.com>
Date:   Sat Apr 14 22:43:40 2012 +0800

    update Simplified Chinese (zh_CN) translation

 po/zh_CN.po |   32 +++++++++++---------------------
 1 files changed, 11 insertions(+), 21 deletions(-)

commit e6c953a4ae9ba077a1471368ccd6acca1b0068f1
Author: Carles Ferrando <carles.ferrando@gmail.com>
Date:   Tue Apr 10 21:16:27 2012 +0200

    [l10n]Updated Catalan (Valencian) translation

 po/ca@valencia.po |    7 ++++---
 1 files changed, 4 insertions(+), 3 deletions(-)

commit 37aa73506bf1761c38a5c5daea193f4587fa4f54
Author: Jordi Serratosa <jordis@softcatala.cat>
Date:   Tue Apr 10 21:16:25 2012 +0200

    [l10n] Fixes on Catalan translation

 po/ca.po |   12 +++++++-----
 1 files changed, 7 insertions(+), 5 deletions(-)

commit b709a1ec52a51e5bb313006e63cd46da3250a873
Author: Arash Mousavi <amousavi@src.gnome.org>
Date:   Sat Mar 31 23:14:37 2012 +0430

    Updated Persian Translations

 po/fa.po | 1146 +++++++++++++++++++++++++++++---------------------------------
 1 files changed, 533 insertions(+), 613 deletions(-)

commit ce45e90184a89beb7eca0c247f1c5dc0fd5b5aba
Author: Arash Mousavi <amousavi@src.gnome.org>
Date:   Sat Mar 31 16:42:31 2012 +0430

    Updated Persian Translations

 po/fa.po | 1191 ++++++++++++++++++++++++++++++++++++++++++++++----------------
 1 files changed, 884 insertions(+), 307 deletions(-)

commit 2187cb58097a3796ade8a1b638d2f61ce35bc9c8
Author: Aurimas Černius <aurisc4@gmail.com>
Date:   Mon Mar 26 23:03:34 2012 +0300

    Updated Lithuanian translation

 po/lt.po |  842 +++++++++++++++++++++++++++++++++-----------------------------
 1 files changed, 450 insertions(+), 392 deletions(-)

commit 22cc5a5d88a8531ec9688ee6d5bc4396685ac7c4
Author: Christian Persch <chpe@gnome.org>
Date:   Mon Mar 26 14:58:54 2012 +0200

    Post release version bump

 configure.ac |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit bd1297a00c4fab0a76b45e626d3237f992277d7c
Author: Christian Persch <chpe@gnome.org>
Date:   Mon Mar 26 14:51:43 2012 +0200

    Version 3.4.0.1

 configure.ac |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit 22dce40617ed238e63618d050ab0c1eae716a9b0
Author: Christian Persch <chpe@gnome.org>
Date:   Mon Mar 26 14:45:28 2012 +0200

    Post release version bump

 configure.ac |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 9e12ed059d61da717b4cf0c9425b79c50ef2576a
Author: Christian Persch <chpe@gnome.org>
Date:   Mon Mar 26 14:36:28 2012 +0200

    Version 3.4.0

 configure.ac |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit d823403c6427959eb44aceb9d64191e72c082c5f
Author: Rajesh Ranjan <rranjan@redhat.com>
Date:   Mon Mar 26 15:14:32 2012 +0530

    hindi translation by Chandan Kumar

 po/hi.po |  943 ++++++++++++++++++++++++++++++++++++++------------------------
 1 files changed, 586 insertions(+), 357 deletions(-)

commit b42787f796a5f6bbcb301141158c84592242abae
Author: Nguyễn Thái Ngọc Duy <pclouds@gmail.com>
Date:   Wed Mar 21 13:41:08 2012 +0700

    Updated Vietnamese translation

 po/vi.po |   81 +++++++++++++++++++++++--------------------------------------
 1 files changed, 31 insertions(+), 50 deletions(-)

commit b7fdeec1e8576db7ccbfb153e312f326d461e51d
Author: Nguyễn Thái Ngọc Duy <pclouds@gmail.com>
Date:   Wed Mar 21 13:33:31 2012 +0700

    po/vi: updated from Damned Lies

 po/vi.po | 1004 +++++++++++++++++++++++++++++++++-----------------------------
 1 files changed, 536 insertions(+), 468 deletions(-)

commit 9b5f8ed0425f60d83ee40fbd53d538b3ac3baf0f
Author: YunQiang Su <yqsu@src.gnome.org>
Date:   Wed Mar 21 01:30:17 2012 +0800

    update Simplified Chinese (zh_CN) translation

 po/zh_CN.po |  712 ++++++++++++++++++++++++++++++++---------------------------
 1 files changed, 383 insertions(+), 329 deletions(-)

commit daaf82cb8de46409b62f0af702d0a4b6b2a068ae
Author: Sasi Bhushan <sasi@swecha.net>
Date:   Tue Mar 20 02:27:19 2012 +0530

    Updated Telugu Translations

 po/te.po |  709 +++++++++++++++++++++++++++++++++-----------------------------
 1 files changed, 381 insertions(+), 328 deletions(-)

commit 3e8f58adabe1a4a7759aaf0846f925278dd0062c
Author: Daniel Korostil <ted.korostiled@gmail.com>
Date:   Mon Mar 19 14:22:26 2012 +0200

    Uploaded Ukranian

 po/uk.po |  700 +++++++++++++++++++++++++++++++++-----------------------------
 1 files changed, 371 insertions(+), 329 deletions(-)

commit 72ae7d642a74e5443cc75241c18f0009225308a2
Author: Antonio Fernandes C. Neto <fernandesn@gnome.org>
Date:   Fri Mar 16 10:21:16 2012 -0300

    Updated Brazilian Portuguese translation

 po/pt_BR.po |  703 +++++++++++++++++++++++++++++++----------------------------
 1 files changed, 374 insertions(+), 329 deletions(-)

commit e5363ffe63260aa10a9ffe6af776986cf47537a3
Author: Carles Ferrando <carles.ferrando@gmail.com>
Date:   Fri Mar 16 00:25:16 2012 +0100

    [l10n]Updated Catalan (Valencian) translation

 po/ca@valencia.po |  698 ++++++++++++++++++++++++++++-------------------------
 1 files changed, 370 insertions(+), 328 deletions(-)

commit a7653c9af11d07e45d8027c1d51e72a0b724079d
Author: Joan Duran <jodufi@gmail.com>
Date:   Fri Mar 16 00:25:13 2012 +0100

    [l10n] Updated Catalan translation

 po/ca.po |  696 +++++++++++++++++++++++++++++++++-----------------------------
 1 files changed, 369 insertions(+), 327 deletions(-)

commit 99bbadf27120fe3edefc226f0a70ed7d765b4df8
Author: Khaled Hosny <khaledhosny@eglug.org>
Date:   Thu Mar 15 17:05:57 2012 +0200

    Updated Arabic translation

 po/ar.po |  712 +++++++++++++++++++++++++++++++++-----------------------------
 1 files changed, 377 insertions(+), 335 deletions(-)

commit 0c78ae9359fb2238eab7e624e397daf181ab812c
Author: A S Alam <aalam@users.sf.net>
Date:   Thu Mar 15 07:17:02 2012 +0530

    update Punjabi Translation

 po/pa.po |  747 +++++++++++++++++++++++++++++++++-----------------------------
 1 files changed, 399 insertions(+), 348 deletions(-)

commit 5ca7a39414439779454113e086adfbaabad578f6
Author: Duarte Loreto <happyguy_pt@hotmail.com>
Date:   Thu Mar 15 00:15:39 2012 +0000

    Updated Portuguese translation

 po/pt.po |  700 +++++++++++++++++++++++++++++++++-----------------------------
 1 files changed, 371 insertions(+), 329 deletions(-)

commit be9830af550db81657117565d823195183020f1a
Author: Anita Reitere <nitalynx@gmail.com>
Date:   Wed Mar 14 23:59:06 2012 +0200

    Updated Latvian translation.

 po/lv.po |  934 +++++++++++++++++++++++++-------------------------------------
 1 files changed, 378 insertions(+), 556 deletions(-)

commit e32c96324d29e2f78e24d3e4e141a7edece3582b
Author: Mario Blättermann <mario.blaettermann@gmail.com>
Date:   Wed Mar 14 22:48:32 2012 +0100

    [l10n] Updated German translation

 po/de.po |  699 +++++++++++++++++++++++++++++++++-----------------------------
 1 files changed, 370 insertions(+), 329 deletions(-)

commit ef84e81b720406fc287cf5dcfb30ae0f383ac466
Author: Bruce Cowan <bruce@bcowan.me.uk>
Date:   Tue Mar 13 17:40:10 2012 +0000

    Updated British English translation

 po/en_GB.po |  696 +++++++++++++++++++++++++++++++----------------------------
 1 files changed, 369 insertions(+), 327 deletions(-)

commit 71624de79aff9c706c2218ad0de4373ba13ca7d6
Author: Milo Casagrande <milo@ubuntu.com>
Date:   Mon Mar 12 22:17:18 2012 +0100

    [l10n] Updated Italian translation

 po/it.po |  722 ++++++++++++++++++++++++++++++++------------------------------
 1 files changed, 377 insertions(+), 345 deletions(-)

commit 0d981776c766a3fb8f3d1ab5dfad3411861d3352
Author: Timo Jyrinki <timo@debian.org>
Date:   Mon Mar 12 11:09:34 2012 +0200

    Finnish translation update from http://l10n.laxstrom.name/wiki/Gnome_3.4 translation sprint

 po/fi.po |  550 ++++++++++++++++++++++++++++++++++++++++++++++++--------------
 1 files changed, 431 insertions(+), 119 deletions(-)

commit e7ba08b6264bd7dc100565370a817dfc6ca2107b
Author: Nilamdyuti Goswami <nilamdyuti@gmail.com>
Date:   Mon Mar 12 12:28:55 2012 +0530

    Assamese translation completed

 po/as.po |  763 ++++++++++++++++++++++++++++++++------------------------------
 1 files changed, 390 insertions(+), 373 deletions(-)

commit a719b8246a893379bb677cb8f35975f5724c6318
Author: Changwoo Ryu <cwryu@debian.org>
Date:   Sat Mar 10 16:08:00 2012 +0900

    Updated Korean translation

 po/ko.po |  751 +++++++++++++++++++++++++++++++++-----------------------------
 1 files changed, 399 insertions(+), 352 deletions(-)

commit cd8c55605edd8fecd82f75135b192922aa1ef934
Author: Changwoo Ryu <cwryu@debian.org>
Date:   Fri Jan 27 22:36:18 2012 +0900

    Updated Korean manual translation
    
    Fixes #667777

 help/ko/ko.po |   35 ++++++++++-------------------------
 1 files changed, 10 insertions(+), 25 deletions(-)

commit 4e78a63e0df84c1495b02c9fe21be1b345bf9d2e
Author: Chao-Hsiung Liao <j_h_liau@yahoo.com.tw>
Date:   Thu Mar 8 16:17:05 2012 +0800

    Updated Traditional Chinese translation(Hong Kong and Taiwan)

 po/zh_HK.po |   58 +++++++++++++++++++++++++++++-----------------------------
 po/zh_TW.po |   58 +++++++++++++++++++++++++++++-----------------------------
 2 files changed, 58 insertions(+), 58 deletions(-)

commit 5983339ab0dc8a43898aeffc1ab117d0f1669a46
Author: Inaki Larranaga Murgoitio <dooteo@zundan.com>
Date:   Mon Mar 5 19:15:40 2012 +0100

    Updated Basque language

 po/eu.po |  718 ++++++++++++++++++++++++++++++++------------------------------
 1 files changed, 373 insertions(+), 345 deletions(-)

commit 19d2b38e0572c98c03c9374e6042bdd43ac93459
Author: Wouter Bolsterlee <wbolster@gnome.org>
Date:   Sun Mar 4 21:58:17 2012 +0100

    Updated Dutch translation

 po/nl.po |  699 +++++++++++++++++++++++++++++++++-----------------------------
 1 files changed, 370 insertions(+), 329 deletions(-)

commit 44e44dd571949feed36da5aa10f05a96b053c61e
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Sun Mar 4 00:58:33 2012 +0100

    Updated Polish translation

 po/pl.po |  692 +++++++++++++++++++++++++++++++++-----------------------------
 1 files changed, 364 insertions(+), 328 deletions(-)

commit 5c1a757abcfc8f8928fc7b0d015ec6fc1162fbf3
Author: Praveen Arimbrathodiyil <pravi.a@gmail.com>
Date:   Fri Mar 2 23:24:21 2012 +0530

    Malayalam translation updated

 po/ml.po | 1045 +++++++++++++++++++++++++++++++++++++++-----------------------
 1 files changed, 666 insertions(+), 379 deletions(-)

commit 07bfd2712a8001dc78317215687dacd3e183ac5d
Author: Mattias Põldaru <mahfiaz@gmail.com>
Date:   Thu Mar 1 18:00:28 2012 +0200

    [l10n] Updated Estonian translation

 po/et.po |  131 ++++++++++++++++++++++++++++++++++++++------------------------
 1 files changed, 80 insertions(+), 51 deletions(-)

commit 73a6cfd42b742876f0300039bf58431762b6566e
Author: Gabor Kelemen <kelemeng@gnome.hu>
Date:   Thu Mar 1 04:04:46 2012 +0100

    Updated Hungarian translation

 po/hu.po |  712 +++++++++++++++++++++++++++++++++-----------------------------
 1 files changed, 382 insertions(+), 330 deletions(-)

commit 804d3f365313dfd476903161fe12bdf4c6e3e853
Author: Dr.T.Vasudevan <agnihot3@gmail.com>
Date:   Tue Feb 28 14:21:52 2012 +0530

    updated Tamil translation

 po/ta.po |  700 +++++++++++++++++++++++++++++++++-----------------------------
 1 files changed, 371 insertions(+), 329 deletions(-)

commit da37651851fbe78f96553a67fb2975896ff35906
Author: Yuri Myasoedov <omerta13@yandex.ru>
Date:   Fri Feb 24 13:52:19 2012 +0400

    Updated Russian translation

 po/ru.po |  853 +++++++++++++++++++++++++++++++++-----------------------------
 1 files changed, 455 insertions(+), 398 deletions(-)

commit 5672bbedd7bce54107d23a1ba32f466e8c4d8062
Author: Ask H. Larsen <asklarsen@gmail.com>
Date:   Mon Feb 20 22:35:21 2012 +0100

    Updated Danish translation

 po/da.po |  701 +++++++++++++++++++++++++++++++++-----------------------------
 1 files changed, 374 insertions(+), 327 deletions(-)

commit 0f899823e473409175e90e05d5ac9cbdc51249ab
Author: Marek Černocký <marek@manet.cz>
Date:   Mon Feb 20 11:43:30 2012 +0100

    Updated Czech translation

 po/cs.po |  755 ++++++++++++++++++++++++++++++++------------------------------
 1 files changed, 395 insertions(+), 360 deletions(-)

commit 5d10a000bb3b53a9d7859fc652cd38df32fca6b9
Author: Мирослав Николић <miroslavnikolic@rocketmail.com>
Date:   Mon Feb 20 11:07:22 2012 +0100

    Updated Serbian translation

 po/sr.po       |  724 ++++++++++++++++++++++++++++++--------------------------
 po/sr@latin.po |  724 ++++++++++++++++++++++++++++++--------------------------
 2 files changed, 774 insertions(+), 674 deletions(-)

commit 08b3bbbe71459cda5ac5c6193f7a63e7587614fc
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:   Sun Feb 19 23:35:44 2012 +0100

    Updated Norwegian bokmål translation

 po/nb.po |   56 ++++++++++++++++++++++++++++----------------------------
 1 files changed, 28 insertions(+), 28 deletions(-)

commit 43b78028e0438439880714c591687267bbda7d55
Author: Daniel Nylander <po@danielnylander.se>
Date:   Sun Feb 19 11:02:09 2012 +0100

    Updated Swedish translation

 po/sv.po |  893 ++++++++++++++++++++++++++++++++++---------------------------
 1 files changed, 498 insertions(+), 395 deletions(-)

commit 263902e02fce79b50124286243f228d111a5b698
Author: Yaron Shahrabani <sh.yaron@gmail.com>
Date:   Sat Feb 18 10:39:52 2012 +0200

    Updated Hebrew translation.

 po/he.po |  185 +++++++++++++++++++++++++++++++-------------------------------
 1 files changed, 92 insertions(+), 93 deletions(-)

commit adb912e4e09a9909737f18f79c371761ac3cfe9f
Author: Christian Persch <chpe@gnome.org>
Date:   Fri Feb 17 17:55:24 2012 +0100

    Revert unintentional API/ABI break

 gucharmap/gucharmap-chapters-view.c |    7 ++++++
 gucharmap/gucharmap-chapters-view.h |    2 +
 gucharmap/gucharmap-unicode-info.c  |   38 +++++++++++++++++++++++++++++++++++
 gucharmap/gucharmap-unicode-info.h  |    3 ++
 4 files changed, 50 insertions(+), 0 deletions(-)

commit aa44d758cafae92c2f8cf8679e5caaebec2b6862
Author: Ivaylo Valkov <ivaylo@e-valkov.org>
Date:   Thu Feb 16 07:15:48 2012 +0200

    Updated Bulgarian translation

 po/bg.po |  179 +++++++++++++++++++++++++++++++-------------------------------
 1 files changed, 89 insertions(+), 90 deletions(-)

commit 5353a34390b4979d1d3910aef69c1537209ab122
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:   Wed Feb 15 20:38:04 2012 +0100

    Updated Slovenian translation

 po/sl.po |  186 +++++++++++++++++++++++++++++++-------------------------------
 1 files changed, 92 insertions(+), 94 deletions(-)

commit 49d6ba7a6270b81f2b08bae098ad83ec0c71d421
Author: Ihar Hrachyshka <ihar.hrachyshka@gmail.com>
Date:   Sat Feb 11 22:49:13 2012 +0300

    Updated Belarusian translation.

 po/be.po |  177 ++++++++++++++++++++++++++++++--------------------------------
 1 files changed, 85 insertions(+), 92 deletions(-)

commit 3f8a2fe3781de972843ff8a25457a6e61881222a
Author: Claude Paroz <claude@2xlibre.net>
Date:   Sat Feb 11 11:08:03 2012 +0100

    Updated French translation

 po/fr.po |  694 +++++++++++++++++++++++++++++++++-----------------------------
 1 files changed, 365 insertions(+), 329 deletions(-)

commit 15ad66f28147ee0228185fe7171b736f041374e4
Author: Vincent Untz <vuntz@gnome.org>
Date:   Thu Feb 9 10:56:03 2012 +0100

    Fix pkg-config file to not reference old gconf-related variable
    
    https://bugzilla.gnome.org/show_bug.cgi?id=669734

 gucharmap.pc.in |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 617fc612a76cc78c298e528b329ef18246162af3
Author: Fran Diéguez <fran.dieguez@mabishu.com>
Date:   Mon Feb 6 20:15:50 2012 +0100

    Updated Galician translations

 po/gl.po |  189 +++++++++++++++++++++++++++++++-------------------------------
 1 files changed, 94 insertions(+), 95 deletions(-)

commit 4f34d3aecb798f37490a996df59fc8913bab3295
Author: Christian Persch <chpe@gnome.org>
Date:   Mon Feb 6 20:05:58 2012 +0100

    Post release version bump

 configure.ac |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 0b9837c4f2f9bf45e538837970872464ed1c9b01
Author: Christian Persch <chpe@gnome.org>
Date:   Mon Feb 6 20:02:52 2012 +0100

    Dist the schema file

 gucharmap/Makefile.am |    2 ++
 1 files changed, 2 insertions(+), 0 deletions(-)

commit 741f4eb53cfc4641b7e4b892d843b850a8b36bca
Author: Christian Persch <chpe@gnome.org>
Date:   Mon Feb 6 19:58:29 2012 +0100

    Rename schema

 Makefile.am                                        |    2 --
 gucharmap/Makefile.am                              |    4 ++--
 gucharmap/gucharmap-settings.c                     |    2 +-
 gucharmap/gucharmap-window.c                       |    2 +-
 ...p.gschema.xml => org.gnome.Charmap.gschema.xml} |    6 +++---
 5 files changed, 7 insertions(+), 9 deletions(-)

commit f60baa0e0eecaf678fe29598d533d58707db9797
Author: Christian Persch <chpe@gnome.org>
Date:   Mon Feb 6 19:49:32 2012 +0100

    Update NEWS

 NEWS |    7 +++++++
 1 files changed, 7 insertions(+), 0 deletions(-)

commit 01cb129a9160e192aaeb146d20ff6fed97111992
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:   Mon Feb 6 18:01:19 2012 +0100

    Updated Spanish translation

 po/es.po |  248 ++++++++++++++++++++++++++++++--------------------------------
 1 files changed, 119 insertions(+), 129 deletions(-)

commit 1b2cd9c84ab09db5caad13db5bbff3086b16ac0b
Author: Christian Persch <chpe@gnome.org>
Date:   Mon Feb 6 16:59:15 2012 +0100

    Update to Unicode 6.1.0 final

 gucharmap/gucharmap-window.c |    3 +--
 1 files changed, 1 insertions(+), 2 deletions(-)

commit e927e358dbf77ea4ea50a34b4de544684e079cb3
Author: Ryan Lortie <desrt@desrt.ca>
Date:   Tue Jan 31 12:53:07 2012 -0500

    GSettings: ensure last-char is valid before using
    
    In the case that the empty string got into the user's settings (or
    overrides, or translations, etc.) we would end up selecting U+0000 as
    the default character.
    
    Instead, in the case that the setting is not a full single unicode
    character, fall back to another more reasonable default.

 gucharmap/gucharmap-window.c |   22 ++++++++++++++++++----
 1 files changed, 18 insertions(+), 4 deletions(-)

commit d1212a5b5c08f4b71bfbca1a419f87488923d623
Author: Chao-Hsiung Liao <j_h_liau@yahoo.com.tw>
Date:   Sun Jan 29 23:34:45 2012 +0800

    Updated Traditional Chinese translation(Hong Kong and Taiwan)

 po/zh_HK.po |  716 ++++++++++++++++++++++++++++++-----------------------------
 po/zh_TW.po |  714 ++++++++++++++++++++++++++++++-----------------------------
 2 files changed, 731 insertions(+), 699 deletions(-)

commit c6cefbb843c9fac8c12ca76bd41d073bb201e50a
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:   Sat Jan 28 16:43:59 2012 +0100

    Updated Norwegian bokmål translation

 po/nb.po |  189 ++++++++++++++++++++++++++++++--------------------------------
 1 files changed, 91 insertions(+), 98 deletions(-)

commit a3112d70de32a5ceec9cd672771373df6e7de8e2
Author: Ryan Lortie <desrt@desrt.ca>
Date:   Fri Jan 27 10:38:55 2012 -0500

    Keep with the modern Gtk widgetry times
    
    Stop using boxes.  GtkGrid is the new black.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=668852

 gucharmap/gucharmap-charmap.c       |    3 ++
 gucharmap/gucharmap-search-dialog.c |   16 +++++++-----
 gucharmap/gucharmap-window.c        |   45 +++++++++++-----------------------
 3 files changed, 27 insertions(+), 37 deletions(-)

commit 2a7f9d61a413b83aaf84b33bdacc8847120eb9a3
Author: Ryan Lortie <desrt@desrt.ca>
Date:   Fri Jan 27 09:31:56 2012 -0500

    Fix a sign-compare warning
    
    We had
    
      if (signed < unsigned - unsigned)
    
    which had been 'fixed' to
    
      if (signed < (int)unsigned - unsigned)
    
    which didn't work because the subtraction between the two unsigned
    values caused the signed value to be promoted back to unsigned again.
    Change that to
    
      if (signed < (int) (unsigned - unsigned))
    
    which means that the signed math will be done on the unsigned ints, but
    the result will properly be interpreted as being signed before doing the
    compare.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=668843

 gucharmap/gucharmap-block-codepoint-list.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit febc4392d34f2a23bb3048c9f8969c630bc292c4
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Fri Jan 27 20:58:36 2012 +0100

    Updated POTFILES.in

 po/POTFILES.in |   11 +++++------
 1 files changed, 5 insertions(+), 6 deletions(-)

commit ff3c835b3d1ddea9df1326ff95dda77c44b6aa25
Author: Ryan Lortie <desrt@desrt.ca>
Date:   Fri Jan 27 10:19:33 2012 -0500

    Drop the search progress bar
    
    It looks very silly and, at least on my computer, you can barely see a
    flicker in it before the search is done.  Would be better not to have it
    at all.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=668852

 gucharmap/gucharmap-window.c |   34 +---------------------------------
 gucharmap/gucharmap-window.h |    4 ----
 2 files changed, 1 insertions(+), 37 deletions(-)

commit 3bca4bf448e3a0ba2c22298c81da871457f8e06c
Author: Ryan Lortie <desrt@desrt.ca>
Date:   Fri Jan 27 09:53:41 2012 -0500

    Some trivial fixups
    
    Stop using a couple of deprecated symbols and fix a couple other
    warnings.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=668846

 gucharmap/gucharmap-charmap.c              |    8 ++------
 gucharmap/gucharmap-chartable-accessible.c |    6 +++---
 gucharmap/gucharmap-search-dialog.c        |    2 +-
 gucharmap/gucharmap-window.c               |    4 +---
 4 files changed, 7 insertions(+), 13 deletions(-)

commit 6eee95f6e150c4735790d3ec6aae50b805cd59fd
Author: Ryan Lortie <desrt@desrt.ca>
Date:   Fri Jan 27 02:53:03 2012 -0500

    port to GSettings
    
    gucharmap-settings only exists now for the window geometry (until Gtk
    grows support for this).
    
    Translation of the schema is also currently disabled, pending proper
    support in intltool.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=624892

 Makefile.am                               |   20 +--
 configure.ac                              |   27 +--
 gucharmap.schemas.in                      |  100 ----------
 gucharmap/Makefile.am                     |    8 +-
 gucharmap/gucharmap-chapters-view.c       |    7 -
 gucharmap/gucharmap-chapters-view.h       |    2 -
 gucharmap/gucharmap-settings.c            |  283 +----------------------------
 gucharmap/gucharmap-settings.h            |   10 -
 gucharmap/gucharmap-unicode-info.c        |   38 ----
 gucharmap/gucharmap-unicode-info.h        |    3 -
 gucharmap/gucharmap-window.c              |   65 +++++--
 gucharmap/gucharmap-window.h              |    1 +
 gucharmap/main.c                          |   11 -
 gucharmap/org.gnome.gucharmap.gschema.xml |   82 +++++++++
 14 files changed, 154 insertions(+), 503 deletions(-)

commit 94230bc31ee3f394afae3cee3c9d359331a9f3e7
Author: Ivaylo Valkov <ivaylo@e-valkov.org>
Date:   Tue Jan 24 07:07:36 2012 +0200

    Updated Bulgarian translation

 po/bg.po |  615 +++++++++++++++++++++++++++++++++-----------------------------
 1 files changed, 329 insertions(+), 286 deletions(-)

commit 1faab498592a645dcb16cb5b8ca0fda35bbd9747
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:   Sun Jan 15 13:46:14 2012 +0100

    Updated Slovenian translation

 po/sl.po |   87 ++++++++++++++++++++++++++++++--------------------------------
 1 files changed, 42 insertions(+), 45 deletions(-)

commit 6a7f9a58ee0e6835ec24a39495543e2281c4fb59
Author: Jovan Naumovski <jovan3.14@gmail.com>
Date:   Sat Jan 14 22:34:57 2012 +0100

    Updated Macedonian translation.

 po/mk.po | 1154 +++++++++++++++++++++++++++++++++++++++++---------------------
 1 files changed, 768 insertions(+), 386 deletions(-)

commit a0694c4b5816e1c35c63c8ab99d72edb7e3270f6
Author: Yaron Shahrabani <sh.yaron@gmail.com>
Date:   Fri Jan 13 09:56:22 2012 +0200

    Updated Hebrew translation.

 po/he.po |    8 ++++----
 1 files changed, 4 insertions(+), 4 deletions(-)

commit 167e515f5c3d06dea2eb2db700e5b44480e86bb3
Author: Gil Forcada <gforcada@gnome.org>
Date:   Thu Jan 12 21:52:52 2012 +0100

    [l10n]Fixed Catalan documentation

 help/ca/ca.po |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit 472b6ffb7ce787fa016810d44f5fc38a54d560bc
Author: Ihar Hrachyshka <ihar.hrachyshka@gmail.com>
Date:   Tue Jan 10 01:37:25 2012 +0300

    Updated Belarusian translation.

 po/be.po |  607 +++++++++++++++++++++++++++++++++-----------------------------
 1 files changed, 325 insertions(+), 282 deletions(-)

commit aef0f9c107fcc54784e3d495ed2f524e6aeb37aa
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:   Wed Jan 4 20:52:22 2012 +0100

    Updated Slovenian translation

 po/sl.po |  767 +++++++++++++++++++++++++++++++++-----------------------------
 1 files changed, 410 insertions(+), 357 deletions(-)

commit a07420acce4d9602dec4e1c562346cfc5791426c
Author: Yaron Shahrabani <sh.yaron@gmail.com>
Date:   Fri Dec 30 11:47:08 2011 +0200

    Updated Hebrew translation.

 po/he.po |  765 +++++++++++++++++++++++++++++++++++---------------------------
 1 files changed, 434 insertions(+), 331 deletions(-)

commit 898ce471e77a67026c2a2bbfe69483a849b50fca
Author: Christian Persch <chpe@gnome.org>
Date:   Tue Dec 20 14:23:57 2011 +0100

    build: Go GPL3+
    
    Everything else is GPL3+ too, so use the or-later option to make
    this file so, too.

 acinclude.m4 |    2 +-
 configure.ac |    2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit 5de316b8a152e34f9dac9ec23d4f724cb0488bd8
Author: Christian Persch <chpe@gnome.org>
Date:   Mon Dec 19 15:03:13 2011 +0100

    build: Don't use gnome-common macros for compiler warnings

 configure.ac          |   19 +++++++++++++++++--
 gucharmap/Makefile.am |    4 ----
 2 files changed, 17 insertions(+), 6 deletions(-)

commit f1a7e5feea5bd2db82938b660ab85508281ce6b7
Author: Christian Persch <chpe@gnome.org>
Date:   Mon Dec 19 15:01:06 2011 +0100

    build: Use -Bsymbolic-functions

 acinclude.m4          |  319 +++++++++++++++++++++++++++++++++++++++++++++++++
 configure.ac          |   24 ++++
 gucharmap/Makefile.am |    1 +
 3 files changed, 344 insertions(+), 0 deletions(-)

commit ee12cb650be2406bf60f3e1a41331a66a18fe808
Author: Christian Persch <chpe@gnome.org>
Date:   Mon Dec 19 14:57:35 2011 +0100

    gucharmap: Use new workarea API

 docs/reference/tmpl/gucharmap-chartable.sgml    |   13 ++-----------
 docs/reference/tmpl/gucharmap-unicode-info.sgml |   23 ++++++++++++-----------
 docs/reference/tmpl/gucharmap-unused.sgml       |    9 +++++++++
 gucharmap/gucharmap-chartable.c                 |    4 ++++
 gucharmap/main.c                                |    4 ++++
 5 files changed, 31 insertions(+), 22 deletions(-)

commit 1338a76e2740039837d1a51106b770daf2abecd6
Author: Fran Diéguez <fran.dieguez@mabishu.com>
Date:   Thu Dec 15 23:49:54 2011 +0100

    Updated Galician translations

 po/gl.po |  615 +++++++++++++++++++++++++++++++++-----------------------------
 1 files changed, 329 insertions(+), 286 deletions(-)

commit f9d764948febe16016c68f1b4c693bfcf4245163
Author: Christian Persch <chpe@gnome.org>
Date:   Wed Dec 14 23:15:39 2011 +0100

    Don't allow the charmap side pane to shrink too much
    
    Also, ellipsise the text in the side pane.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=666144

 gucharmap/gucharmap-chapters-view.c |    4 ++++
 gucharmap/gucharmap-charmap.c       |    4 ++--
 2 files changed, 6 insertions(+), 2 deletions(-)

commit 694bcad355f9b1fcefbc73cac66fa77a5d5af25b
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:   Wed Dec 14 22:56:56 2011 +0100

    Updated Norwegian bokmål translation

 po/nb.po |  609 +++++++++++++++++++++++++++++++++-----------------------------
 1 files changed, 326 insertions(+), 283 deletions(-)

commit f05c7ce9d246048ab094ba05ff9da73c04270920
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:   Sat Dec 10 21:25:18 2011 +0100

    Updated Spanish translation

 po/es.po |  567 +++++++++++++++++++++++++++++++++-----------------------------
 1 files changed, 306 insertions(+), 261 deletions(-)

commit de2b34fe7853e6d872f5d2bd59ce3d1bccca5f80
Author: Christian Persch <chpe@gnome.org>
Date:   Sat Dec 10 20:48:59 2011 +0100

    Use attributes for deprecation

 gucharmap/gucharmap-charmap.c                |    3 +--
 gucharmap/gucharmap-charmap.h                |   18 ++++++++++++------
 gucharmap/gucharmap-type-builtins.c.template |    1 +
 gucharmap/gucharmap.h.in                     |   12 ++++++++++++
 4 files changed, 26 insertions(+), 8 deletions(-)

commit e9108025c6001ed9b5f92100543b2ac1ff740b9a
Author: Christian Persch <chpe@gnome.org>
Date:   Sat Dec 10 20:36:36 2011 +0100

    Remove gtk version checks

 gucharmap/gucharmap-charmap.c              |  129 +---------
 gucharmap/gucharmap-chartable-accessible.c |   64 -----
 gucharmap/gucharmap-chartable.c            |  377 +++------------------------
 gucharmap/gucharmap-private.h              |    2 -
 gucharmap/gucharmap-search-dialog.c        |   15 --
 gucharmap/gucharmap-settings.c             |    4 -
 gucharmap/gucharmap-window.c               |   58 +----
 7 files changed, 48 insertions(+), 601 deletions(-)

commit 2becd72f693c085a58144ac34407bd589f8b4220
Author: Christian Persch <chpe@gnome.org>
Date:   Sat Dec 10 18:32:55 2011 +0100

    Update to Unicode 6.1.0 (beta)

 gucharmap/gucharmap-unicode-info.c |    2 +-
 gucharmap/gucharmap-unicode-info.h |    3 +-
 gucharmap/gucharmap-window.c       |    3 +-
 gucharmap/unicode-blocks.h         |  415 +-
 gucharmap/unicode-categories.h     |  179 +-
 gucharmap/unicode-names.h          |48266 +++++++------
 gucharmap/unicode-nameslist.h      |27209 ++++----
 gucharmap/unicode-scripts.h        | 3086 +-
 gucharmap/unicode-unihan.h         |137066 ++++++++++++++++++++++--------------
 gucharmap/unicode-versions.h       |   97 +-
 10 files changed, 124604 insertions(+), 91722 deletions(-)

commit 18b14d39a63bfe060e14aec32634a483f405486e
Author: Joan Duran <jodufi@gmail.com>
Date:   Sat Nov 5 14:16:09 2011 +0100

    [l10n]Updated Catalan documentation

 help/ca/ca.po |  914 +++++++++++++++++++++++++++++++++++++++++----------------
 1 files changed, 656 insertions(+), 258 deletions(-)

commit 2188402385c006df879b6bd4707cb96b50262e31
Author: Tiffany Antopolski <tiffany.antopolski@gmail.com>
Date:   Wed Oct 26 20:00:58 2011 +0200

    Updated Esperanto translation

 po/eo.po |   69 ++++++++++++++++++++++++++++++-------------------------------
 1 files changed, 34 insertions(+), 35 deletions(-)

commit a802c5aade8943888d9a8de90143e753e80e7c43
Author: Ihar Hrachyshka <ihar.hrachyshka@gmail.com>
Date:   Sun Oct 23 15:47:41 2011 +0300

    Updated Belarusian translation.

 po/be.po |   39 +++++++++++++++++++++++++--------------
 1 files changed, 25 insertions(+), 14 deletions(-)

commit 7308ba9512d82c7750303f551033086fe0727257
Author: Jordi Mallach <jordi@sindominio.net>
Date:   Tue Oct 11 18:56:11 2011 +0200

    Fix help message for --with-gtk, GTK+ 2.0 is unsupported.

 configure.ac |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 442fe246272cdcfe7a34f429b0445354c96c15de
Author: krishnababu k <kkrothap@redhat.ocm>
Date:   Mon Oct 10 17:07:36 2011 +0530

    Updated Telugu Translations

 po/te.po |  749 +++++++++++++++++++++++++++++++++++++-------------------------
 1 files changed, 453 insertions(+), 296 deletions(-)

commit 6a029a0cebd5e414162d6034baf9309525fac6e5
Author: Christian Persch <chpe@gnome.org>
Date:   Mon Sep 26 14:25:45 2011 +0200

    Post branch version bump

 configure.ac |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 71aa27614fe15799a06b7cfe5287b303c617fabc
Author: Christian Persch <chpe@gnome.org>
Date:   Sun Sep 25 18:57:29 2011 +0200

    Version 3.2.0

 NEWS |    5 +++++
 1 files changed, 5 insertions(+), 0 deletions(-)

commit 2eae468bbc06dd063f4bd414485d3d077fe46c75
Author: Christian Persch <chpe@gnome.org>
Date:   Mon Sep 26 14:23:24 2011 +0200

    Version 3.2.0

 configure.ac |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit de06428f58bdcec22c217009f726fc5e77190e5b
Author: Theppitak Karoonboonyanan <thep@linux.thai.net>
Date:   Mon Sep 26 11:08:08 2011 +0700

    Updated Thai translation.

 po/th.po |  742 +++++++++++++++++++++++++++++++++-----------------------------
 1 files changed, 396 insertions(+), 346 deletions(-)

commit 9dcc85759eac26134c86cd92c012ba5ff1524e91
Author: Christian Persch <chpe@gnome.org>
Date:   Sun Sep 25 18:56:18 2011 +0200

    build: Dist the script to generate the unicode tables

 gucharmap/Makefile.am |    2 ++
 1 files changed, 2 insertions(+), 0 deletions(-)

commit 1f3b859eb4b59af148a890fa1ee3c4d92e05b709
Author: Christian Persch <chpe@gnome.org>
Date:   Mon Sep 19 15:29:41 2011 +0200

    Drop gtk2

 configure.ac |   17 +++++------------
 1 files changed, 5 insertions(+), 12 deletions(-)

commit 23a010541918fa8d13338724f33fb48cef1526f0
[--snip--]
